Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# import-settings.h File Reference

Import preference handling. User preference interface for transaction matching (for both the gui and the backend). More...

## Getters/Setters for GNCImportSettings
double | gnc_import_Settings_get_fuzzy_amount (GNCImportSettings *settings)
gboolean | gnc_import_Settings_get_action_skip_enabled (GNCImportSettings *settings)
gboolean | gnc_import_Settings_get_action_add_enabled (GNCImportSettings *settings)
gboolean | gnc_import_Settings_get_action_edit_enabled (GNCImportSettings *settings)
gboolean | gnc_import_Settings_get_action_clear_enabled (GNCImportSettings *settings)
gint | gnc_import_Settings_get_clear_threshold (GNCImportSettings *settings)
gint | gnc_import_Settings_get_add_threshold (GNCImportSettings *settings)
gint | gnc_import_Settings_get_display_threshold (GNCImportSettings *settings)
## Typedefs
typedef _genimportsettings | GNCImportSettings
## Functions
GNCImportSettings * | gnc_import_Settings_new (void)
void | gnc_import_Settings_delete (GNCImportSettings *settings)

## Detailed Description

Import preference handling. User preference interface for transaction matching (for both the gui and the backend).

Author:
  Copyright (C) 2002 Benoit Grégoire